Package uk.ac.starlink.topcat.plot2

## Enum PlotWindowType

- java.lang.Object
- - java.lang.Enum<PlotWindowType>
  - - uk.ac.starlink.topcat.plot2.PlotWindowType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PlotWindowType>`

      public enum PlotWindowType
      extends java.lang.Enum<PlotWindowType>

  Enum defining the different plot window types. A method to create an instance of each window is provided.
  Since:
    10 May 2018
  Author:
    Mark Taylor

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CUBE` | Cube.
    `HISTOGRAM` | Histogram.
    `PLANE` | Plane.
    `SKY` | Sky.
    `SPHERE` | Sphere.
    `TIME` | Time.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract StackPlotWindow<?,​?>` | `createWindow​(java.awt.Component parent, TypedListModel<TopcatModel> tablesModel)` | Creates an instance of this plot type's window.
    `java.lang.String` | `getDescription()` | Returns short description for plot type.
    `javax.swing.Icon` | `getIcon()` | Returns plot type icon.
    `java.lang.String` | `getName()` | Returns plot type name.
    `java.lang.String` | `toString()` |
    `static PlotWindowType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PlotWindowType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HISTOGRAM

          public static final PlotWindowType HISTOGRAM

      Histogram.

    - #### PLANE

          public static final PlotWindowType PLANE

      Plane.

    - #### SKY

          public static final PlotWindowType SKY

      Sky.

    - #### CUBE

          public static final PlotWindowType CUBE

      Cube.

    - #### SPHERE

          public static final PlotWindowType SPHERE

      Sphere.

    - #### TIME

          public static final PlotWindowType TIME

      Time.

  - ### Method Detail

    - #### values

          public static PlotWindowType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlotWindowType c : PlotWindowType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlotWindowType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Returns plot type name.
      Returns:
        one-word name

    - #### getIcon

          public javax.swing.Icon getIcon()

      Returns plot type icon.
      Returns:
        icon

    - #### getDescription

          public java.lang.String getDescription()

      Returns short description for plot type.
      Returns:
        description phrase

    - #### createWindow

          public abstract StackPlotWindow<?,​?> createWindow​(java.awt.Component parent,
                                                                  TypedListModel<TopcatModel> tablesModel)

      Creates an instance of this plot type's window.
      Parameters:
        `parent` - parent component, used for placement
        `tablesModel` - list of available tables

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PlotWindowType>`